#! /bin/sh
-exec "`dirname \"$0\"`"/do-all \
- 'test "`cat $g/description`" = "Unnamed repository; edit this file '"'"description"'"' to name the repository." &&
- `git var GIT_EDITOR` "$g"/description < /dev/tty'
+g="`git rev-parse --git-dir`" &&
+
+if [ "`cat $g/description`" = "Unnamed repository; edit this file 'description' to name the repository." ]
+then
+ exec `git var GIT_EDITOR` "$g"/description < /dev/tty
+fi
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/edit-description
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all \
+ 'echo "----- $d -----" && cd "$d" &&' \
+ '"$prog_dir"/edit-description-recursive || exit 1'
#! /bin/sh
-exec "`dirname \"$0\"`"/do-all 'chmod a-x $g/config'
+
+g="`git rev-parse --git-dir`" &&
+exec chmod a-x "$g"/config
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/fix-config
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all \
+ 'echo "----- $d -----" && cd "$d" &&' \
+ '"$prog_dir"/fix-config-recursive || exit 1'
#! /bin/sh
-exec "`dirname \"$0\"`"/do-all \
- 'test "$g" = "$d/.git" || continue; cd "$d" &&' \
- 'test -n "`git ls-files -v | grep ^[a-z]`" && echo "$d"'
+d="`git rev-parse --show-toplevel`" &&
+g="`git rev-parse --git-dir`" &&
+
+if [ -n "$d" ]; then
+ if [ -n "`git ls-files -v | grep ^[a-z]`" ]; then echo "$d"; fi
+fi
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-assumed
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-assumed-recursive || exit 1'
#! /bin/sh
-
-if [ "$1" = "-v" ]; then
- verbose="--verbose"
-fi
-export verbose
-
-exec "`dirname \"$0\"`"/do-all \
- 'test "$g" = "$d/.git" || continue; cd "$d" &&' \
- 'echo "----- $d -----"; git branch --all $verbose'
+echo "----- `pwd` -----" && exec git branch --all $verbose
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-branches
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+if [ "$1" = "-v" ]; then
+ verbose="--verbose"
+fi
+export verbose
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-branches-recursive || exit 1'
#! /bin/sh
-exec "`dirname \"$0\"`"/do-all \
- 'test "$g" = "$d/.git" || continue; cd "$d" &&' \
- 'test -n "`git ls-files --deleted --modified --others --unmerged --killed --exclude-standard --directory --no-empty-directory`" && echo "$d"'
+d="`git rev-parse --show-toplevel`" &&
+
+if [ -n "$d" ]; then
+ if [ -n "`git ls-files --deleted --modified --others --unmerged --killed --exclude-standard --directory --no-empty-directory`" ]
+ then
+ echo "$d"
+ fi
+fi
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-dirty
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-dirty-recursive || exit 1'
#! /bin/sh
-exec "`dirname \"$0\"`"/do-all \
- 'test "`cat $g/description`" = "Unnamed repository; edit this file '"'"description"'"' to name the repository." && echo "$d"'
+g="`git rev-parse --git-dir`" &&
+
+if [ "`cat $g/description`" = "Unnamed repository; edit this file 'description' to name the repository." ]
+then
+ echo "$g"
+fi
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-no-description
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-no-description-recursive || exit 1'
#! /bin/sh
-
-if [ "$1" = "-v" ]; then
- verbose="--verbose"
-fi
-export verbose
-
-exec "`dirname \"$0\"`"/do-all \
- 'test "$g" = "$d/.git" || continue; cd "$d" &&' \
- 'echo "----- $d -----"; git remote $verbose'
+echo "----- `pwd` -----"; exec git remote $verbose
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-remotes
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+if [ "$1" = "-v" ]; then
+ verbose="--verbose"
+fi
+export verbose
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-remotes-recursive || exit 1'
#! /bin/sh
-exec "`dirname \"$0\"`"/do-all \
- 'test "$g" = "$d/.git" || continue; cd "$d" &&' \
- 'test -n "`git stash list`" && echo "$d"'
+d="`git rev-parse --show-toplevel`" &&
+
+if [ -n "$d" ]; then
+ if [ -n "`git stash list`" ]; then echo "$d"; fi
+fi
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-stash
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-stash-recursive || exit 1'
#! /bin/sh
-cd "`dirname \"$0\"`" &&
-prog_dir="`pwd`" &&
-export prog_dir
+d="`git rev-parse --show-toplevel`" &&
-exec "$prog_dir"/do-all \
- 'test "$g" = "$d/.git" || continue; cd "$d" &&' \
- 'test -n "`"$prog_dir"/git-status.sh --short`" && echo "$d"'
+if [ -n "$d" ]; then
+ cd "`dirname \"$0\"`" &&
+ prog_dir="`pwd`" &&
+ export prog_dir &&
+ cd "$d" &&
+
+ if [ -n "`"$prog_dir"/git-status.sh --short`" ]; then echo "$d"; fi
+fi
--- /dev/null
+#! /bin/sh
+
+prog_dir="`dirname \"$0\"`" &&
+exec "$prog_dir"/run-recursive "$prog_dir"/ls-status
--- /dev/null
+#! /bin/sh
+
+cd "`dirname \"$0\"`" &&
+prog_dir="`pwd`" &&
+export prog_dir
+
+exec "$prog_dir"/do-all 'cd "$d" && "$prog_dir"/ls-status-recursive || exit 1'
"$@" &&
if [ -f .gitmodules ]; then
- exec git submodule foreach "$@"
+ exec git submodule foreach --quiet --recursive "$@"
fi